Bug#603594: epiphany-browser: doesn't perform any ssl certificate checking (in the squeeze version)

david b db.pub.mail at gmail.com
Mon Nov 15 17:19:50 UTC 2010

Package: epiphany-browser
Severity: grave
Tags: security
Justification: user security hole

epiphany-browser as found in squeeze does not check remote ssl certificate validity for https connections.
Here is a test url: (WHICH SHOULD FAIL) 


But it won't! (in squeeze).

-- System Information:
Debian Release: 5.0.6
  APT prefers stable
  APT policy: (900, 'stable'), (650, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

More information about the pkg-gnome-maintainers mailing list